//
//  ReportRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/11.
//

import Foundation
import CombineMoya
import Combine
import Moya

class ReportRepository {
    private let api = MoyaProvider<ReportApi>()
    
    func report(request: ReportRequest) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.report(request: request))
    }
}
